Package org.eclipse.jdt.core.util

## Interface ISignatureAttribute

All Superinterfaces:
  `IClassFileAttribute`

    public interface ISignatureAttribute
    extends IClassFileAttribute

Description of a signature attribute as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`char[]` `getSignature()` Answer back the signature as described in the JVM specifications.
`int` `getSignatureIndex()` Answer back the signature index as described in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getSignatureIndex

    int getSignatureIndex()

Answer back the signature index as described in the JVM specifications.

Returns:
  the signature index as described in the JVM specifications

#### getSignature

    char[] getSignature()

Answer back the signature as described in the JVM specifications.

Returns:
  the signature as described in the JVM specifications